Bug 228136 - www/py-django-filer: update to 1.3.2
Summary: www/py-django-filer: update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 227032 228125 228126
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-10 23:07 UTC by Kai Knoblich
Modified: 2018-05-21 16:02 UTC (History)
3 users (show)

See Also:
xenophon+fbsdports: maintainer-feedback+


Attachments
py-django-filer-1.3.2.patch (3.97 KB, patch)
2018-05-10 23:07 UTC, Kai Knoblich
xenophon+fbsdports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-05-10 23:07:57 UTC
Created attachment 193256 [details]
py-django-filer-1.3.2.patch

Hello,

attached is the patch from svn that updates www/py-django-filer to 1.3.2.

Changes by upstream:
- https://github.com/divio/django-filer/compare/0.8.6...1.3.2

Changes to the port:
- added LICENSE and LICENSE_FILE
- changed RUN_DEPENDS to match the given dependencies
- added NO_ARCH

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK


Note:
Following dependencies must be resolved first, before this update can be committed:
- update graphics/py-django-easy-thumbnails (see also PR #228125: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228125)
- update www/py-django_polymorphic (see also PR #228126: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228126)
- assign www/py-django-mptt to Django 1.11 (see also PR #227032: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227032)
Comment 1 Martin Wilke freebsd_committer 2018-05-10 23:44:33 UTC
Take this over during my work on django18 removal.

https://wiki.freebsd.org/ports/django
Comment 2 xenophon+fbsdports 2018-05-11 13:26:11 UTC
This looks good to me.  Thank you!
Comment 3 commit-hook freebsd_committer 2018-05-21 16:02:52 UTC
A commit references this bug:

Author: miwi
Date: Mon May 21 16:02:10 UTC 2018
New revision: 470558
URL: https://svnweb.freebsd.org/changeset/ports/470558

Log:
  - Update to 1.3.2

  PR:	228136
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/www/py-django-filer/Makefile
  head/www/py-django-filer/distinfo
  head/www/py-django-filer/pkg-descr
  head/www/py-django-filer/pkg-message